### Method

# Fwupd Remote build_report_uri

#### Declaration [src]

    gchar*
    fwupd_remote_build_report_uri (
      FwupdRemote* self
      GError** error
    )

#### Description [src]

Builds a URI for the URL using the username and password set for the remote.

Available since: | 1.9.1

#### Return value

Returns: | `gchar*`
| A URI, or `NULL` for error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.